//using System;
//using System.Collections.Generic;
//using System.Linq;

//namespace McGuffinsOfflineNetworkWorkshop {
    public class MRay2 {
        public MVector2 origin = new MVector2();
        public MVector2 direction = new MVector2();

        public MRay2(MVector2 o, MVector2 d) {
            origin.copy(o);
            direction.copy(d);
        }

        public MVector2 point(float t) {
            return origin + ( direction * t );
        }
    }
//}

